Kea: isc::netconf::NetconfParser::symbol_type Struct Reference

| Kea 2.2.0

Public Types | Public Member Functions | List of all members
isc::netconf::NetconfParser::symbol_type Struct Reference

"External" symbols: returned by the scanner. More...

`#include <netconf_parser.h>`

Inheritance diagram for isc::netconf::NetconfParser::symbol_type:
[legend]

## Public Types
typedef basic_symbol< by_kind > | super_type
| Superclass. More...
Public Types inherited from isc::netconf::NetconfParser::basic_symbol< Base >
typedef Base | super_type
| Alias to Base. More...

## Public Member Functions
| symbol_type () YY_NOEXCEPT
| Empty symbol. More...
| symbol_type (int tok, const bool &v, const location_type &l)
| symbol_type (int tok, const double &v, const location_type &l)
| symbol_type (int tok, const int64_t &v, const location_type &l)
| symbol_type (int tok, const location_type &l)
| Constructor for valueless symbols, and symbols from each type. More...
| symbol_type (int tok, const std::string &v, const location_type &l)
Public Member Functions inherited from isc::netconf::NetconfParser::basic_symbol< Base >
| basic_symbol () YY_NOEXCEPT
| Default constructor. More...
| basic_symbol (const basic_symbol &that)
| Copy constructor. More...
| basic_symbol (typename Base::kind_type t, const bool &v, const location_type &l)
| basic_symbol (typename Base::kind_type t, const double &v, const location_type &l)
| basic_symbol (typename Base::kind_type t, const ElementPtr &v, const location_type &l)
| basic_symbol (typename Base::kind_type t, const int64_t &v, const location_type &l)
| basic_symbol (typename Base::kind_type t, const location_type &l)
| Constructors for typed symbols. More...
| basic_symbol (typename Base::kind_type t, const std::string &v, const location_type &l)
| ~basic_symbol ()
| Destroy the symbol. More...
void | clear () YY_NOEXCEPT
| Destroy contents, and record that is empty. More...
bool | empty () const YY_NOEXCEPT
| Whether empty. More...
void | move (basic_symbol &s)
| Destructive move, s is emptied into this. More...
std::string | name () const YY_NOEXCEPT
| The user-facing name of this symbol. More...
symbol_kind_type | type_get () const YY_NOEXCEPT
| Backward compatibility (Bison 3.6). More...

## Additional Inherited Members
Public Attributes inherited from isc::netconf::NetconfParser::basic_symbol< Base >
location_type | location
| The location. More...
value_type | value
| The semantic value. More...

## Detailed Description

"External" symbols: returned by the scanner.

Definition at line 984 of file netconf_parser.h.

## Member Typedef Documentation

## ◆ super_type

typedef basic_symbol<by_kind> isc::netconf::NetconfParser::symbol_type::super_type

Superclass.

Definition at line 987 of file netconf_parser.h.

## Constructor & Destructor Documentation

## ◆ symbol_type() [1/6]

isc::netconf::NetconfParser::symbol_type::symbol_type | ( |  | ) |
| inline

Empty symbol.

Definition at line 990 of file netconf_parser.h.

## ◆ symbol_type() [2/6]

isc::netconf::NetconfParser::symbol_type::symbol_type | ( | int | tok,
|  | const location_type & | l
| ) |  |
| inline

Constructor for valueless symbols, and symbols from each type.

Definition at line 997 of file netconf_parser.h.

References NETCONF__ASSERT, isc::netconf::NetconfParser::token::TOKEN_END, isc::netconf::NetconfParser::token::TOKEN_NETCONF_error, and isc::netconf::NetconfParser::token::TOKEN_START_SUB_NETCONF.

## ◆ symbol_type() [3/6]

isc::netconf::NetconfParser::symbol_type::symbol_type | ( | int | tok,
|  | const bool & | v,
|  | const location_type & | l
| ) |  |
| inline

Definition at line 1010 of file netconf_parser.h.

References NETCONF__ASSERT, and isc::netconf::NetconfParser::token::TOKEN_BOOLEAN.

## ◆ symbol_type() [4/6]

isc::netconf::NetconfParser::symbol_type::symbol_type | ( | int | tok,
|  | const double & | v,
|  | const location_type & | l
| ) |  |
| inline

Definition at line 1022 of file netconf_parser.h.

References NETCONF__ASSERT, and isc::netconf::NetconfParser::token::TOKEN_FLOAT.

## ◆ symbol_type() [5/6]

isc::netconf::NetconfParser::symbol_type::symbol_type | ( | int | tok,
|  | const int64_t & | v,
|  | const location_type & | l
| ) |  |
| inline

Definition at line 1034 of file netconf_parser.h.

References NETCONF__ASSERT, and isc::netconf::NetconfParser::token::TOKEN_INTEGER.

## ◆ symbol_type() [6/6]

isc::netconf::NetconfParser::symbol_type::symbol_type | ( | int | tok,
|  | const std::string & | v,
|  | const location_type & | l
| ) |  |
| inline

Definition at line 1046 of file netconf_parser.h.

References NETCONF__ASSERT, and isc::netconf::NetconfParser::token::TOKEN_STRING.

The documentation for this struct was generated from the following file:

- netconf_parser.h